Package com.smartgwt.client.types

# Enum CellRecordMode

java.lang.Object
java.lang.Enum<CellRecordMode>
com.smartgwt.client.types.CellRecordMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<CellRecordMode>`, `Constable`

public enum CellRecordMode extends Enum<CellRecordMode> implements ValueEnum
When `canSelectCells` is true, whether `getSelection()` on a `DataBoundComponent` or individual `CellSelection` should return one record per selected cell, as with `CubeGrid`, or one record per row that has any selected cells, as with `ListGrid`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CELL`
  getSelection returns one record for each selected cell via `getCellRecord()`
  `ROW`
  getSelection returns distinct records for each row with one or more selected cells

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static CellRecordMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CellRecordMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CELL

    public static final CellRecordMode CELL
    getSelection returns one record for each selected cell via `getCellRecord()`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "cell".

  - ### ROW

    public static final CellRecordMode ROW
    getSelection returns distinct records for each row with one or more selected cells

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "row".

- ## Method Details

  - ### values

    public static CellRecordMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CellRecordMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`